<?php

class Mentor extends Page {
	
	static $db = array(
		'EventName' => 'Text',
		'Date' => 'Date',
		'Detail' => 'Text'
	);
	
	static $has_many = array(
		'Students' => 'Student'
	);
	
	function getCMSFields() {
		$fields = parent::getCMSFields();
		
		$fields->addFieldToTab( 'Root.Content.Main', new TextField( 'EventName', 'Event Name' ) );
		$fields->addFieldToTab( 'Root.Content.Main', new DateField( 'Date' ) );
		
		
		$tablefield = new HasManyComplexTableField(
			$this,
			'Students',
			'Student',
			array(
				'EventName' => 'Event Name',
				'Date' => 'Event Date',
				'Detail' => 'Detail'
			),
			'getCMSFields_forPopup'
		);
		$tablefield->setAddTitle( 'A Student' );
		
		$fields->addFieldToTab( 'Root.Content.Students', $tablefield );
		
		return $fields;
	}
	
	function forTemplate() {
		$template = 'GSOCPerson';
		return $this->renderWith( $template );
	}
	
}

class Mentor_Controller extends Page_Controller {
	
	
}

?>
